#! make -f
#----------------------------------------------------------------------------
# Project:  TwlSDK - GX - demos - UnitTours/2D_CharBg_Direct
# File:     Makefile
#
# Copyright 2003-2008 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Date:: 2008-09-18#$
# $Rev: 8573 $
# $Author: okubata_ryoma $
#----------------------------------------------------------------------------
TARGET_PLATFORM	= TWL NITRO

SUBDIRS			=

LINCLUDES		=	pictures

#----------------------------------------------------------------------------

SRCS			=	main.c data.c
PICTURES		=	pictures/picture_256_256.ppm

PICTURES_C		=	$(PICTURES:.ppm=.autogen.c)

TARGET_BIN		=	main.srl

#SRCDIR			=	# using default
#LCFILE			=	# using default

LDIRT_CLEAN		=	$(PICTURES_C)

include	$(TWLSDK_ROOT)/build/buildtools/commondefs
include	$(TWLSDK_ROOT)/build/buildtools/commondefs.gx.demolib

#----------------------------------------------------------------------------

PPMCONV			=	$(TOOLSDIR)/bin/ppmconv.exe

#----------------------------------------------------------------------------

do-build:		$(TARGETS)

include	$(TWLSDK_ROOT)/build/buildtools/modulerules

%.autogen.c:	%.ppm
	$(PPMCONV) $< > $@

$(OBJDIR)/data.o: data.c $(PICTURES_C)

#===== End of Makefile =====
